VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "FT USB Test Program"
   ClientHeight    =   5205
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   4860
   LinkTopic       =   "Form1"
   ScaleHeight     =   5205
   ScaleWidth      =   4860
   StartUpPosition =   3  'Windows ⺻
   Begin VB.CommandButton Command7 
      Caption         =   "LED Shift Off"
      Height          =   495
      Left            =   2520
      TabIndex        =   10
      Top             =   2880
      Width           =   2055
   End
   Begin VB.CommandButton Command6 
      Caption         =   "Close Device"
      Height          =   495
      Left            =   240
      TabIndex        =   9
      Top             =   3480
      Width           =   4335
   End
   Begin VB.Frame Frame2 
      Caption         =   "Read"
      Height          =   855
      Left            =   240
      TabIndex        =   6
      Top             =   4080
      Width           =   4335
      Begin VB.CommandButton Command5 
         Caption         =   "ReadData"
         Height          =   495
         Left            =   1200
         TabIndex        =   8
         Top             =   240
         Width           =   3015
      End
      Begin VB.Label Label2 
         Caption         =   "0"
         Height          =   255
         Left            =   240
         TabIndex        =   7
         Top             =   360
         Width           =   855
      End
   End
   Begin VB.Timer Timer1 
      Enabled         =   0   'False
      Interval        =   100
      Left            =   120
      Top             =   0
   End
   Begin VB.CommandButton Command4 
      Caption         =   "LED Shift On"
      Height          =   495
      Left            =   240
      TabIndex        =   5
      Top             =   2880
      Width           =   2175
   End
   Begin VB.Frame Frame1 
      Height          =   615
      Left            =   240
      TabIndex        =   3
      Top             =   240
      Width           =   4335
      Begin VB.Label Label1 
         Caption         =   "Label1"
         ForeColor       =   &H00FF0000&
         Height          =   255
         Left            =   120
         TabIndex        =   4
         Top             =   240
         Width           =   3975
      End
   End
   Begin VB.CommandButton Command3 
      Caption         =   "LED OFF"
      Height          =   495
      Left            =   240
      TabIndex        =   2
      Top             =   2280
      Width           =   4335
   End
   Begin VB.CommandButton Command2 
      Caption         =   "LED ON"
      Height          =   495
      Left            =   240
      TabIndex        =   1
      Top             =   1680
      Width           =   4335
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Init Device"
      Height          =   495
      Left            =   240
      TabIndex        =   0
      Top             =   1080
      Width           =   4335
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'------------------------------------------------------------------------------
' FT2232, FT245 EVM Test Program
'
' http://cafe.naver.com/elab
'------------------------------------------------------------------------------

Const DEVICE_NO = 0
Dim m_DeviceHandle As Long
Dim m_Count As Integer

Dim LedValue(7) As Integer


'Device
Private Sub Command1_Click()
    'ġ 
    If FT_Open(DEVICE_NO, m_DeviceHandle) <> FT_OK Then
        Label1.Caption = "ġ  "
        Exit Sub
    Else
        Label1.Caption = "ġ  "
    End If


    'BitBang .b0-b7=Out, BitBangMode(1)
    'If FT_SetBitMode(m_DeviceHandle, &H0, &H1) <> FT_OK Then
    If FT_SetBitMode(m_DeviceHandle, &HFF, &H1) <> FT_OK Then
        Label1.Caption = "弳 "
        Exit Sub
    End If

    
    'Ʈ 
    FT_SetBaudRate m_DeviceHandle, 57600
End Sub

Private Sub Command2_Click()
    Dim ret As Long
    
    'USB FIFO 1Byte 
    'LED Light On
    ret = FT_WriteByte(m_DeviceHandle, &HFF, 1, 0)
End Sub

Private Sub Command3_Click()
    Dim ret As Long
  
    'USB FIFO 1Byte 
    'LED Light Off (0x00)
    ret = FT_WriteByte(m_DeviceHandle, &H0, 1, 0)
End Sub

Private Sub Command4_Click()

    Timer1.Interval = 100
    Timer1.Enabled = True
    
    
End Sub

Private Sub Command5_Click()
    'Data Read Function
    Dim ret As Long
    
    Dim data As Byte

    'BitBang .b0-b7=In, BitBangMode(1)
    If FT_SetBitMode(m_DeviceHandle, &H0, &H1) <> FT_OK Then
        Label1.Caption = "弳 "
        Exit Sub
    End If
    
    ret = FT_GetBitMode(m_DeviceHandle, data)
    
    Label2.Caption = data
    
    'BitBang .b0-b7=In, BitBangMode(1)
    ret = FT_SetBitMode(m_DeviceHandle, &HFF, &H1)
End Sub

Private Sub Command6_Click()

    If FT_Close(m_DeviceHandle) <> FT_OK Then
        Label1.Caption = "ġݱ "
        Exit Sub
        
    Else
        Label1.Caption = "ġݱ "
        
    End If

End Sub

Private Sub Command7_Click()
    Timer1.Enabled = False
    
End Sub

Private Sub Form_Load()
    m_Count = 0
    
    
    LedValue(0) = 1
    LedValue(1) = 2
    LedValue(2) = 4
    LedValue(3) = 8
    LedValue(4) = &H10
    LedValue(5) = &H20
    LedValue(6) = &H40
    LedValue(7) = &H80
    
End Sub

Private Sub Form_Unload(Cancel As Integer)
    'α׷  ġ ݱ -> ݵ ġ Closeؾ 
    'Close ʰ α׷ Ǵ  USBĿ͸ ٽ ؾ , Ȥ 
    If FT_Close(m_DeviceHandle) <> FT_OK Then
        Label1.Caption = "ġ ݱ "
    End If
End Sub

Private Sub Timer1_Timer()

    If m_Count > 7 Then m_Count = 0

    'FT_WriteByte m_DeviceHandle, Not LedValue(m_Count), 1, 0
    FT_WriteByte m_DeviceHandle, LedValue(m_Count), 1, 0
    m_Count = m_Count + 1
    
End Sub
